### Property

# Soup Session:idle-timeout

#### Declaration

    property idle-timeout: guint [ read, write ]

#### Description [src]

Connection lifetime (in seconds) when idle. Any connection left idle longer than this will be closed.

Although you can change this property at any time, it will only affect newly-created connections, not currently-open ones. You can call `soup_session_abort()` after setting this if you want to ensure that all future connections will have this timeout value.

Type:`guint`

Default value | 60
Getter method | `soup_session_get_idle_timeout()`
Setter method | `soup_session_set_idle_timeout()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no